docker-build:
  image: docker:latest
  stage: build
  services:
    - docker:dind
  before_script:
    - docker login -u $Reg_USER -p $Reg_PASS
  script:
    - echo "Building wisecow ubuntu Image"
    - docker build -t karanki12/wisecow:ubuntu -f Dockerfile_ubuntu .

    - echo "Building wisecow alpine Image"
    - docker build -t karanki12/wisecow:alpine -f Dockerfile_alpine .

    - echo "Pushing wiswcow ubuntu image to dockerhub"
    - docker push karanki12/wisecow:ubuntu

    - echo "Pushing wiswcow ubuntu image to dockerhub"
    - docker push karanki12/wisecow:alpine
  tags:
    - docker
